# Generated from acts_as_notifier-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name acts_as_notifier

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Easily define ActiveRecord callbacks that notify users of changes via email
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 3.2.16
# BuildRequires: rubygem(rails) < 3.3
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(mocha)
BuildArch: noarch

%description
acts_as_notifier is an add-on for ActiveRecord models used to notify users
of new and updated records
via ActionMailer emails. The notifications can be make conditional and
recipient lists can be specified
at runtime using a proc or method name. acts_as_notifier can be configured to
send emails via DelayedJob.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
